LORDSAWAR-GAME-LIST-CLIENT(6)

NAME
lordsawar-game-list-client - administer or query a game list server

SYNOPSIS
lordsawar-game-list-client [OPTION...] [HOST]

DESCRIPTION
A command-line tool to manage a LordsAWar! game list server located at HOST.

-p, --profile ID
    Use this identity to make requests to the remote server. The ID looks like a guid.

-a, --advertise
    Ask the server to advertise a game.

-u, --unadvertise ID
    Ask the server to stop advertising a game. The ID looks like a guid.

-r, --remove-all ID
    Ask the server to stop advertising games owned by the given profile ID. The ID looks like a guid.

-p, --port NUMBER
    Connect to the remote server on the given port.

-t, --terminate
    Ask the server to stop running.

-r, --reload
    Ask the server to reload it's list of advertised games from disk.

-l, --list
    Ask the server to show a list of games it is advertising.

-?, --help
    Give this help list.

When --profile is not specified, the first profile in profiles.xml is used by default.

Specifying an ID of -1 to the --remove-all option will remove all games from the game list.

When a --port is not specified, port 18998 is assumed.

When HOST is not specified on the command-line, this tool will try to connect to 127.0.0.1.

FILES

~/.lordsawarrc
    The configuration file.

~/.lordsawar/profiles.xml
    The data file representing the list of profiles.

REPORTING BUGS
Report bugs to <https://savannah.nongnu.org/bugs/?group=lordsawar>.